[package]
name = "ygg_driver_virtio_core"
version = "0.1.0"
edition = "2024"

[dependencies]
yggdrasil-abi.workspace = true
libk-util.workspace = true
libk-mm.workspace = true
libk.workspace = true
device-api = { workspace = true, features = ["derive"] }

ygg_driver_pci = { path = "../../bus/pci", optional = true }

log.workspace = true
bitflags.workspace = true
tock-registers.workspace = true

[dev-dependencies]
kernel-arch-hosted.path = "../../../arch/hosted"

[features]
default = []
pci = ["ygg_driver_pci"]

[lints]
workspace = true
